# Uses of Interface
org.springframework.web.servlet.function.AsyncServerResponse

Packages that use AsyncServerResponse
Package
Description
org.springframework.web.servlet.function
Provides the types that make up Spring's functional web framework for Servlet environments.

## Uses of AsyncServerResponse in org.springframework.web.servlet.function

Methods in org.springframework.web.servlet.function that return AsyncServerResponse
Modifier and Type
Method
Description
`static AsyncServerResponse`
AsyncServerResponse.`create(Object asyncResponse)`
Create a `AsyncServerResponse` with the given asynchronous response.
`static AsyncServerResponse`
AsyncServerResponse.`create(Object asyncResponse, Duration timeout)`
Create a (built) response with the given asynchronous response.